ODFFINDBASIC(1p)

NAME
odffindbasic - Basic macro removal from OpenOffice.org files

USAGE
odffindbasic [options] <sourcefile> [<targetfile>]

DESCRIPTION
A simple command that allows the user to detect, export or remove the Basic modules from a regular OpenOffice.org file.

Without option, the program displays the number of Basic modules found in the file.

The 2nd filename is used in combination with the --delete option.

OPTIONS
        --nocount
                Prevents the program from displaying the number of Basic
                modules found.

        --delete -d
                If this option is set, the Basic modules are physically
                deleted. The file manifest is updated accordingly.
                However, the document content remains unchanged, even if
                it contains some references to the deleted macros. The
                code is removed (so the macros are no longer executable).
                If a target file name is provided as a 2nd argument, the
                changes are saved in it and the source file remains
                unchanged.

        --export -e
                Exports the macros. Every Basic module is extracted and
                converted to a flat Basic source file in the current
                directory. The name of each created file is constructed
                according to the corresponding path in the ODF file, and
                its suffix is "bas".

        --list -l
                The Basic modules are listed through the standard
                output.

        --verbose
                Some information messages are printed.